package com.ruoyi.map.service.impl;

import com.ruoyi.map.domain.Model;
import com.ruoyi.map.mapper.ModelMapper;
import com.ruoyi.map.service.IModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wrh
 * @since 2023-07-03
 */
@Service
public class ModelServiceImpl implements IModelService {

    @Autowired
    private ModelMapper modelMapper;

    @Override
    public Model selectModelById(Integer id)
    {
        return modelMapper.selectModelById(id);
    }

    @Override
    public List<Model> selectModelList(Model model)
    {
        return modelMapper.selectModelList(model);
    }

    @Override
    public int insertModel(Model model)
    {
        return modelMapper.insertModel(model);
    }

    @Override
    public int updateModel(Model model)
    {
        return modelMapper.updateModel(model);
    }

    @Override
    public int deleteModelByIds(Integer[] ids) { return modelMapper.deleteModelByIds(ids); }

    @Override
    public int deleteModelById(Integer id)
    {
        return modelMapper.deleteModelById(id);
    }

}
